
## 什么是 GIS-BI开发平台？

基于GIS的BI（商业智能）低代码开发平台是一个集成地理信息系统（GIS）和商业智能（BI）功能的应用配置开发平台，
旨在通过低代码或无代码的方式快速构建具备地理空间数据可视化、分析与业务洞察能力的应用。
该平台支持用户通过直观的界面和可配置组件，将空间数据与业务数据相结合，
进行可视化展示、动态交互、空间分析与多维数据探索，帮助决策者高效地获取空间相关的商业洞察，
同时降低开发复杂度和技术门槛。

**GIS-BI 的价值：**

-   提升开发效率：平台提供GIS、BI功能模块和可视化组件库，通过拖拽式操作和模板复用，显著减少从零开发的时间和成本。
-   缩短开发周期：低代码特性让开发团队专注于核心功能的实现，大幅缩短项目的研发周期，提升整体开发效率。
-   减少技术门槛：非专业开发人员也可以参与平台应用的配置和开发，优化技术资源配置。
-   一致的用户体验：统一的开发框架和组件库确保项目交付的界面美观性和功能一致性，增强客户满意度。


**GIS-BI 支持的数据源：**

-   OLTP 数据库： MySQL、Oracle、SQL Server、PostgreSQL、MariaDB、Db2、TiDB、MongoDB-BI 等；
-   OLAP 数据库： ClickHouse、Apache Doris、Apache Impala、StarRocks 等；
-   数据仓库/数据湖： Amazon RedShift 等；
-   数据文件： Excel、CSV 等；
-   API 数据源。

## 平台技术架构
综合考虑技术生态、团队能力和平台功能需求，初步考虑以下的技术组合：

- 前端：Vue + ElementUI + Mapbox GL（可结合已有GIS资源选择） + ECharts/AntV
- 后端：Spring Boot3.0  + PostgreSQL + PostGIS
- 低代码支持：DataEase 开源二次开发
- DevOps：Docker + Kubernetes


## 平台功能框架
![gis-bi.png](gis-bi.png)